{% extends "/default/default.twig" %}
{% block title %}Dettagli  comune {{ nome_comune }}{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">{{ nome_comune }} <a href="{{ dirDefault }}/comune/lista" class="btn btn-primary">Torna alla lista</a></h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 ">
            <div class="panel panel-default">
                <div class="panel-body">
                    <!--
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/comune/dettagli/generale/{{ id_comune }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold">Generale</a>
                    </div>
                    -->
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/comune/dettagli/nominativi/{{ id_comune }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-primary bold">Nominativi</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/comune/dettagli/mappa/{{ id_comune }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn-outline btn btn-primary bold">Mappa</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="dataTable_wrapper">
                <table id="dataTables-nominativi" class="table table-striped table-bordered table-hover table-responsive" width="100%">
                    <thead>
                    <tr>
                        <th>status</th>
                        <th>territorio</th>
                        <th>via</th>
                        <th>civico</th>
                        <th>interno</th>
                        <th>coordinata</th>
                        <th>note</th>
                        <th>guest</th>
                        <th>gps</th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
    <div id="modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <!--<button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>-->
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/jquery.validate.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/localization/messages_it.min.js"></script>
    <script>
        $('#dataTables-nominativi').DataTable( {
            processing: true,
            serverSide: true,
            ajax: {
                url: '{{dirDefault}}/comune/dettagli/nominativi/load_lista/{{ id_comune }}',
                type: 'POST'
            },
            stateSave: true,
            columns: [
                {
                    "class":          "status",
                    "orderable":      true,
                    "data":           "status",
                    "render": function (data, type, row ) {
                        if(data == 0){
                            var stato_nominativo = "Ok";
                        }else if(data == 1){
                            var stato_nominativo = "Non romeno";
                        }else if(data == 2){
                            var stato_nominativo = "Non visitare";
                        }
                        return stato_nominativo;
                    },
                    "defaultContent": ""
                },
                {
                    "class":          "territorio",
                    "orderable":      true,
                    "data":           "territorio",
                    "defaultContent": ""
                },
                {
                    "class":          "via",
                    "orderable":      true,
                    "data":           "via",
                    "defaultContent": ""
                },
                {
                    "class":          "civico",
                    "orderable":      true,
                    "data":           "civico",
                    "defaultContent": ""
                },
                {
                    "class":          "interno",
                    "orderable":      true,
                    "data":           "interno",
                    "defaultContent": ""
                },
                {
                    "class":          "coordinata",
                    "orderable":      true,
                    "data":           "coordinata",
                    "defaultContent": ""
                },
                {
                    "class":          "note",
                    "orderable":      true,
                    "data":           "note",
                    "defaultContent": ""
                },
                {
                    "class": "nota_guest",
                    "orderable": true,
                    "data": "nota_guest",
                    "render": function (data, type, row) {
                        if(data != null){
                            if(row.status == "4"){
                                var style_note="btn-danger";
                            }else{
                                var style_note="btn-warning";
                            }
                            return "<button type='button' class='btn "+style_note+" btn-circle' title='" + data + "'></button>";

                        }
                        else {
                            return '';
                        }

                    }
                },
                {
                    "class":          "latitudine",
                    "orderable":      false,
                    "data":           "latitudine",
                    "render": function (data, type, row ) {

                        if(data == 0)
                        {
                            //coordinate gps non presenti
                            class_circle = "btn-danger";

                        }
                        else
                        {
                            //coordinate gps non presenti
                            class_circle = "btn-success";
                        }

                        return "<button type='button' class='btn "+ class_circle +" btn-circle'></button>";
                    },
                    "defaultContent": ""
                }
            ],
            order: [
                //[1, 'asc'],
            ]
        });


    </script>
{% endblock %}